<set> |

`<set>` is defined in the Main RXML parser module. Sets a variable to a new value.

Attributes |
variable, debug, define, expr, eval, from, other, value,

Attributes

`variable`=variable
  The variable to set.

`debug`

  Provide debug messages in case the operation fails. `<set>` will normally fail silently.

`define`=define
  Set the variable to the contents of this define.

`expr`=expression
  Set the variable to the result of a simple mathematical expression. Operators that can be used are +, -, *, /, % and |. Only numerical values can be used in the expression.

`eval`=rxml expression
  Set the variable to the result of this rxml expression.

`from`=variable
  Set the variable to the value of the named variable.

`other`=variable
  Set the variable to the value of this other variable. This is mostly useful from within output tags like `<sqloutput>` where all columns from the SQL result will be available as other variables.

`value`=string
  Set the variable to this value.

If none of the above attributes are specified, the variable is unset. If debug is currently on, more specific debug information is provided if the operation failed.

Example

source code

    "=> >

result |

source code

    "=> >

result |